import { ReactElement } from 'react';
import { LanguageClientId, StatusChangeEvent as WrapperStatusChangeEvent, WillShutdownParams, Infrastructure, LanguageClientOptions, LanguageClientManagerOptions } from '@codingame/monaco-languageclient-wrapper';
export interface StatusChangeEvent {
    status: WrapperStatusChangeEvent['status'] | 'inactivityShutdown';
}
export interface LanguageClientProps {
    id: LanguageClientId;
    infrastructure: Infrastructure;
    clientOptions?: LanguageClientOptions;
    clientManagerOptions?: LanguageClientManagerOptions;
    onError?: (error: Error) => void;
    onDidChangeStatus?: (status: StatusChangeEvent) => void;
    /** The language client will be shutdown by the server */
    onWillShutdown?: (status: WillShutdownParams) => void;
    /** User is considered inactive when there is no event during this delay (default 30 seconds) or when the tab is blurred */
    userInactivityDelay?: number;
    /** Shutdown the language client when the user stay inactive during this duration (default 60 seconds) */
    userInactivityShutdownDelay?: number;
    /** Allow only a single tab to have active language clients (the most recently focused one) */
    singleActiveTab?: boolean;
}
declare function LanguageClient({ id, infrastructure, clientOptions, clientManagerOptions, onError: _onError, onDidChangeStatus: _onDidChangeStatus, onWillShutdown: _onWillShutdown, userInactivityDelay, userInactivityShutdownDelay, singleActiveTab }: LanguageClientProps): ReactElement | null;
export default LanguageClient;
