import { useCallback, useEffect, useRef } from 'react';
export function useLastVersion(func) {
    const ref = useRef(func);
    useEffect(() => {
        ref.current = func;
    }, [func]);
    return useCallback((...args) => {
        return ref.current(...args);
    }, []);
}
//# sourceMappingURL=useLastVersion.js.map